gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Toplevel for embedding into other processes. Together with , provides the ability to embed widgets from one process into another process in a fashion that is transparent to the user. One process creates a widget and, passes the ID of that widgets window to the other process, which then creates a with that window ID. Any widgets contained in the then will appear inside the first applications window. Gtk.Window Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` Finish the initialization of for a given identified by socket_id. an object of type Finish the initialization of for a given identified by socket_id which is currently displayed on display. This method will generally only be used by classes deriving from .
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Plug, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new widget inside the identified by socket_id.
  an object of type
  an object of type
  Creates a new widget inside the identified by socket_id. If socket_id is 0, the is left "unplugged" and can later be plugged into a by .
- Property
  System.UInt32 Gets the window ID of a widget. an object of type Gets the window ID of a widget, which can then be used to embed this window inside another window, for instance with .
- Event
  System.EventHandler To be added To be added
- Method
  System.Void `` `` To be added a a To be added
- Constructor
  To be added
  a
  a
  a
  To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added